#ifndef TOOLS_FILEDIALOG_H
#define TOOLS_FILEDIALOG_H 1

/*
**  filedialog.h
**
**  (C) Copyright 2003-2004 Rocklyte Systems.
**      All Rights Reserved.
*/

#ifndef MAIN_H
#include <pandora/main.h>
#endif

#define VER_FILEDIALOG  1.0

/*****************************************************************************
** Flags
*/

#define FDF_WAIT          0x00000001 /* Pause for the dialog box to be used when it is shown */
#define FDF_STRICTFILTER  0x00000002 /* Strictly limit the filter options to those provided */
#define FDF_MULTISELECT   0x00000004 /* Allow multiple files to be selected */
#define FDF_NOFILECHECK   0x00000008 /* The file does not have to exist in order to be opened/created */
#define FDF_CONFIRMEXISTS 0x00000010 /* If an existing file is selected, confirm selection with the user before proceeding */
#define FDF_SELECTDIR     0x00000020 /* Allow the selection of directories */
#define FDF_NOFILES       0x00000040 /* Do not display files, allow the selection of directories only */
#define FDF_SAVE          (FDF_NOFILECHECK|FDF_CONFIRMEXISTS)

#endif /* TOOLS_FILEDIALOG_H */