#ifndef SYSTEM_REGISTRY_H
#define SYSTEM_REGISTRY_H TRUE

/*****************************************************************************
** Official class numbers.
*/

#define ID_NONE              0
#define ID_JOYPORT           100
#define ID_PICTURE           200
#define ID_SOUND             300
#define ID_DIRECTORY         400
#define ID_BITMAP            500
#define ID_BOB               600
#define ID_RUN               700
#define ID_FADE              800
#define ID_SCREEN            900
#define ID_ANIMATION         1000
#define ID_REGION            1100
#define ID_IF                1200
#define ID_ICONSERVER        1300
#define ID_PCX               1400
#define ID_CREATE            1500
#define ID_FILE              1600
#define ID_MP3               1700
#define ID_TASK              1800
#define ID_FILEOBJECT        1900
#define ID_PEN               2000
#define ID_CLASS             2100
#define ID_FILEVIEW          2200
#define ID_RESIZE            2300
#define ID_MODULE            2400
#define ID_CLOCK             2500
#define ID_TIME              2600
#define ID_TIMER             2700
#define ID_PALETTE           2800
#define ID_KEYBOARD          2900
#define ID_GAMMA             3000
#define ID_ELSE              3100
#define ID_ARROW             3200
#define ID_GRADIENT          3300
#define ID_FONT              3400
#define ID_ONCLICK           3500
#define ID_MOVEMENT          3600
#define ID_WAIT              3700
#define ID_FOCUS             3800
#define ID_ASSIGN            3900
#define ID_FIELDMONITOR      4000
#define ID_MUSIC             4100
#define ID_TABLE             4200
#define ID_SCRIPT            4300
#define ID_CONFIG            4400
#define ID_KEYPRESS          4500
#define ID_RENDER            4600
#define ID_POINTER           4700
#define ID_MODENTRY          4800
#define ID_JPEG              4900
#define ID_LINE              5000
#define ID_TEXT              5100
#define ID_VARIABLE          5200
#define ID_COLOUR            5300
#define ID_BOX               5400
#define ID_MODULEMASTER      5500
#define ID_BROADCAST         5600
#define ID_PRINT             5700
#define ID_ACTION            5800
#define ID_SET               5900
#define ID_SAVEIMAGE         6000
#define ID_SCROLL            6100
#define ID_IMAGE             6200
#define ID_AUDIO             6300
#define ID_CLIPBOARD         6400
#define ID_ELLIPSE           6500
#define ID_BOING             6600
#define ID_BOUNCE            6700
#define ID_STARFIELD         6800
#define ID_FOREST            6900
#define ID_ROTOPLEX          7000
#define ID_TEXTEDITOR        7100
#define ID_FLAME             7200
#define ID_COMMANDLINE       7300
#define ID_PEBBLE            7400
#define ID_INSPECTOR         7500
#define ID_DOCCOMPILER       7600
#define ID_FINDFILES         7700
#define ID_DIALOG            7800
#define ID_SYSTEMMONITOR     7900
#define ID_XML               8000
#define ID_PNG               8100
#define ID_BLUR              8200
#define ID_COMPRESSION       8300
#define ID_KEYMAKER          8400
#define ID_INSTALL           8500
#define ID_UNINSTALL         8600
#define ID_MENU              8700
#define ID_FTP               8800
#define ID_FILEFTP           8900
#define ID_SERVICE           9000
#define ID_RIPPLE            9100
#define ID_DLL               9200
#define ID_FONTSERVER        9300
#define ID_REFLECTION        9400
#define ID_VIEW              9500
#define ID_BUTTON            9600
#define ID_TABFOCUS          9700
#define ID_TOOLBAR           9800
#define ID_COMBOBOX          9900
#define ID_INPUT            10000
#define ID_CHECKBOX         10100
#define ID_SCROLLBAR        10200
#define ID_FILEDIALOG       10300
#define ID_WINDOW           10400
#define ID_REGISTRY         10500

#define CLASSID_TOTAL       106

#endif /* SYSTEM_REGISTRY_H */
